Bug 836547 - avahi-glib pulls in avahi; it should not
avahi-glib pulls in avahi; it should not
Status: CLOSED DUPLICATE of bug 913168
Product: Fedora
Classification: Fedora
Component: avahi (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-29 09:11 EDT by Denys Vlasenko
Modified: 2013-09-21 00:27 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-21 00:27:21 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Denys Vlasenko 2012-06-29 09:11:41 EDT
I don't want to have avahi daemon on my system, so I type "yum erase avahi".
I get this:

Removing:
 avahi                      
Removing for dependencies:
 avahi-glib                 
 blueman                    
 bluez                      
 gedit                      
 gnome-python2-bonobo       
 gnome-python2-gnome        
 gnome-python2-gnomevfs     
 gnome-vfs2                 
 gvfs                       
 gvfs-fuse                  
 libbonoboui                
 libgnome                   
 libgnomeui                 
 nautilus                   
 nautilus-extensions        
 pulseaudio-module-bluetooth
 totem                      
 totem-nautilus             

This is obviously wrong. I don't have to have avahi installed in order to use gedit!

Ok, let's see where this unwanted dep crept in:

# rpmdep -dot gedit.dot gedit
# grep avahi gedit.dot 
cups_libs -> avahi_libs;
gvfs -> avahi_glib;
avahi_glib -> avahi;   <=== probably wrong?
avahi -> libdaemon;

My guess would be that avahi_glib should not be pulling in avahi package.

Please do something so that I can uninstall avahi without nuking my system.
Comment 1 Fedora End Of Life 2013-04-03 11:59:18 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 2 Rex Dieter 2013-09-21 00:27:21 EDT

*** This bug has been marked as a duplicate of bug 913168 ***

Note You need to log in before you can comment on or make changes to this bug.